{% extends 'base.html.twig' %}

{% block title %}{{ deal.title }}{% endblock %}

{% block body %}
    <div class="container js-deal" data-deal="{{ deal.id }}">
        <div class="row">
            <div class="col-lg-9">
                <div class="mb-4 p-3 bg-light shadow">
                    <div class="row">
                        <div class="col-12 mb-3">
                            <div class="p-2 w-100 border rounded d-flex justify-content-between">
                                {% set isSaved = (userWhoSaved is not null) %}
                                <span class="bi {% if isSaved %}bi-bookmark-fill js-isSaved{% else %}bi-bookmark{% endif%} cur-pointer js-save-deal" title="{{ 'deal.save'|trans|raw }}"></span>
                                {% if deal.isExpired %}
                                    <span class="text-danger fw-bold">Le deal est expiré !</span>
                                {% endif %}
                            </div>
                        </div>
                        <div class="col-6 col-md-4 col-lg-3">
                            <img src="{{ vich_uploader_asset(deal)|default(asset("build/images/no-image.png")) }}" class="deal-img" alt="{{ deal.title }}">
                        </div>
                        <div class="col-6 col-md-8 col-lg-9 d-flex flex-column justify-content-between">
                            <div>
                                <div class="deal-rating js-deal-rating">
                                    <div class="deal-rating__lower js-deal-rating-down"><span class="bi bi-dash-lg"></span></div>
                                    <div class="deal-rating__rating js-deal-rating-value {% if rating > hot_rating %}deal-rating__rating--hot{% endif %}">{{ 'deal.rating'|trans({'%value%': rating|default(0)}) }}</div>
                                    <div class="deal-rating__upper js-deal-rating-up"><span class="bi bi-plus-lg"></span></div>
                                </div>
                                {% if deal.seller is not null %}
                                    <a class="ms-2" {% if deal.seller.link is not null %}href="{{ deal.seller.link }}" target="_blank"{% endif %}>
                                        {{ deal.seller.name }}
                                        {% if deal.seller.link is not null %}
                                            <small class="bi bi-box-arrow-up-right ms-1"></small>
                                        {% endif %}
                                    </a>
                                {% endif %}
                                <p class="deal__title">{{ deal.title }}</p>

                                <div>
                                    {% if deal.price is defined and deal.price is not null %}
                                        <span class="deal__price mb-2 me-2">{{ deal.price|default(0.1)|format_currency('EUR') }}</span>
                                    {% endif %}
                                    {% if deal.reduction is defined and deal.reduction is not null %}
                                        <span class="deal__reduction mb-2 me-2">{{ 'deal.reduction'|trans({type: deal.type, value: deal.reduction})|raw }}</span>
                                    {% endif %}
                                    {% if deal.usualPrice is defined and deal.usualPrice is not null %}
                                        <span class="deal__usual-price mb-2 me-2">{{ deal.usualPrice|default(0.1)|format_currency('EUR') }}</span>
                                    {% endif %}
                                </div>

                                {% if deal.deliveryCosts is defined %}
                                    {% if deal.deliveryCosts > 0 %}
                                        <div class="mb-3 fw-bold text-info"><span class="bi bi-truck me-2"></span>{{ 'deal.delivery'|trans({'%value%': deal.deliveryCosts})|raw }}</div>
                                    {% elseif deal.deliveryCosts is same as(0) %}
                                        <div class="mb-3 fw-bold text-danger"><span class="bi bi-truck me-2"></span>{{ 'deal.free_delivery'|trans|raw }}</div>
                                    {% endif %}
                                {% endif %}

                                {% if deal.type is defined and deal.type == constant('App\\Manager\\CouponManager::TYPE_FREE_DELIVERY') %}
                                    <div class="mb-3 fw-bold text-danger"><span class="bi bi-truck me-2"></span>{{ 'deal.free_delivery'|trans|raw }}</div>
                                {% endif %}

                                <p class="card-text">{{ deal.description }}</p>
                            </div>

                            <div class="d-flex justify-content-between align-items-center mb-3">
                                <div>{{ deal.user.pseudo }}</div>
                                <div>
                                    {% if deal.coupon is not null %}
                                        <button class="btn btn-outline-primary">{{ deal.coupon }}<span class="bi bi-files ms-3"></span></button>
                                    {% endif %}
                                    {% if deal.link is not null %}
                                        <a href="{{ deal.link }}" class="btn btn-primary" target="_blank">{{ 'deal.enjoy'|trans|raw }}<span class="bi bi-box-arrow-up-right ms-2"></span></a>
                                    {% endif %}
                                </div>
                            </div>
                        </div>
                        <div class="col-12">
                            <div class="mb-2">
                                {% for group in deal.groups %}
                                    <span class="btn btn-outline-info">{{ group.name }}</span>
                                {% endfor %}
                            </div>
                            <div class="p-2 w-100 border rounded d-flex justify-content-between">
                                <p class="text-muted m-0">{{ deal.createdAt|format_datetime('short', 'short') }}</p>
                                <div>
                                    <a href="{{ url('app_deal_report', {'slug': deal.slug}) }}" title="{{ 'deal.report'|trans|raw }}" class="ms-2"><span class="bi bi-exclamation-triangle-fill"></span></a>
                                    <a href="#" title="{{ 'deal.set_expired'|trans|raw }}" class="ms-2 js-deal-set-expired"><span class="bi bi-alarm"></span></a>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>

                <div class="card bg-dark text-light h-auto">
                    <div class="card-header">
                        <span class="bi bi-chat-fill me-3"></span>{{ 'deal.comments.number'|trans({'%value%': deal.comments|length})|raw }}
                    </div>
                    <ul class="list-group list-group-flush">
                        {% for comment in deal.comments %}
                            <li class="list-group-item bg-light">
                                <div>
                                    <div class="d-flex align-items-center mb-2">
                                        <p class="fw-bold my-0 me-3">{{ comment.user.pseudo }}</p>
                                        <small class="text-muted">{{ comment.createdAt|format_datetime('short', 'short') }}</small>
                                    </div>
                                    <p class="my-0">{{ comment.comment }}</p>
                                </div>
                            </li>
                        {% endfor %}
                        {% if deal.comments|length == 0 %}
                            <li class="list-group-item bg-light">{{ 'deal.comments.empty'|trans|raw }}</li>
                        {% endif %}

                        {% if form is not null %}
                            <li class="list-group-item bg-light">
                                {{ form(form) }}
                                <p class="text-muted"><span class="text-danger">* </span>{{ 'form.required'|trans|raw }}</p>
                            </li>
                        {% else %}
                            <li class="list-group-item bg-light">
                                <p>{{ 'deal.comment.need_connect'|trans|raw }}</p>
                                <a href="{{ url('app_login') }}" class="btn btn-primary">{{ 'deal.comment.connect'|trans|raw }}</a>
                            </li>
                        {% endif %}
                    </ul>
                </div>
            </div>

            <div class="col-lg-3">
                {{ include('layout/deal-hot-day-list.html.twig') }}
            </div>
        </div>
    </div>
{% endblock %}
